export const hzybRoutes=[
    {
        path:'/ficcReportDetail',
        name:"hzybReportDetail",
        component: () => import("@/views/hzyb/activity/reportDetail.vue"),
    },  
    // 研报活动模块
    {
        path:"/hzyb/activity",
        name:"hzybActivity",
        component: () => import("@/App.vue"),
        children: [
            {
                path:"report/week/detail",
                name:"hzybReportWeekDetail",
                component: () => import("@/views/hzyb/activity/reportWeekDetail.vue"),
            }
        ]
    },
    {
        path: '/hzyb/pricedriven/detail',
        name: 'priceDriven',
        component: () => import ('@/views/hzyb/pricedriven/detail.vue')
    },
    // 图库模块
    {
        path:"/hzyb/chart",
        name:"hzybChart",
        component: () => import("@/App.vue"),
        children: [
            {
                path:"detail",
                name:"hzybChartDetail",
                component: () => import("@/views/hzyb/chart/Detail.vue"),
            },
            {
                path:"search",
                name:'hzybChartSearch',
                component: () => import("@/views/hzyb/chart/Search.vue")
            },
            {
                path:"positionanalysis",
                name:'hzybChartPositionAnalysis',
                component: () => import("@/views/hzyb/chart/positionAnalysis/Index.vue")
            }
        ]
    },
    // 报告模块
    {
        path:'/hzyb/report',
        name:'hzybReport',
        component: () => import("@/views/hzyb/Index.vue"),
        children:[
            {
                path:"detail",
                name:"hzybReportDetailNew",
                component: () => import("@/views/hzyb/report/Detail.vue"),
            },
            {
                path:"chapterdetail",
                name:"hzybChapterDetail",
                component: () => import("@/views/hzyb/report/ChapterDetail.vue"),
            },
            {
                path:"previewpdf",
                name:"hzybPreviewPDF",
                component:() => import("@/views/hzyb/report/PreviewPDF.vue")
            }
        ]
    },
    {
        path:'/hzyb/surveyHistory',
        name:'surveyHistory',
        component: () => import("@/views/hzyb/report/surveyHistory.vue"),
    },
    //外汇日历模块
    {
        path:'/hzyb/forex',
        name:'hzybForex',
        component:()=>import("@/App.vue"),
        children:[
            {
                path:'transindex', //iframe嵌套页
                name:'hzybTransForexIndex',
                component:()=> import("@/views/hzyb/forexCalendar/transIndex.vue")
            },
            {
                path:'index', //日历页面
                name:'hzybForexIndex',
                component:()=> import("@/views/hzyb/forexCalendar/Index.vue")
            },
            {
                path:'detail', //图表详情页
                name:'hzybForexDetail',
                component:()=> import("@/views/hzyb/forexCalendar/Detail.vue")
            }
        ]
    },
    {
        path:'/hzyb/surveyDetail',
        name:'surveyDetail',
        component: () => import("@/views/hzyb/report/surveyDetail.vue"),
    },
]