/* 随手办公 */

export const ssbgRoutes = [
	{
		path: '/ssbg/roadshow',
		name:'ssbgRoadShow',
		component: () => import("@/App.vue"),
		children: [
			{
				path: 'mine',
				name: 'myCalendar',
				component: () => import("@/views/ssbg/roadshow/myCalendar.vue")
			},
			{
				path: 'researcher',
				name: 'researcherCalendar',
				component: () => import("@/views/ssbg/roadshow/rsCalendar.vue")
			},
			{
				path: 'seller',
				name: 'sellerCalendar',
				component: () => import("@/views/ssbg/roadshow/sellerCalendar.vue")
			}
		]
	},
	{
		path: '/ssbg/businesstrip',
		name:'ssbgBusinessTrip',
		component: () => import("@/App.vue"),
		children: [
			{
				path: 'calendar',
				name: 'BusinessTripCalendar',
				component: () => import("@/views/ssbg/businessTrip/calendar.vue")
			}
		]
	}
]